- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# hetzner_failover_ip_info – Retrieve information on Hetzner’s failover IPs

New in version 2.9.

- Synopsis

- Parameters

- See Also

- Examples

- Return Values

- Status

## Synopsis

- Retrieve information on Hetzner’s failover IPs.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
failover_ip string / required |  | The failover IP address.
hetzner_password string / required |  | The password for the Robot webservice user.
hetzner_user string / required |  | The username for the Robot webservice user.

## See Also

See also

Failover IP documentation

  Hetzner’s documentation on failover IPs.

hetzner_failover_ip – Manage Hetzner’s failover IPs

  Manage failover IPs.

## Examples

    - name: Get value of failover IP 1.2.3.4
      hetzner_failover_ip_info:
        hetzner_user: foo
        hetzner_password: bar
        failover_ip: 1.2.3.4
        value: 5.6.7.8
      register: result

    - name: Print value of failover IP 1.2.3.4 in case it is routed
      debug:
        msg: "1.2.3.4 routes to {{ result.value }}"
      when: result.state == 'routed'

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
failover_ip string | success | The failover IP. Sample: 1.2.3.4
failover_netmask string | success | The netmask for the failover IP. Sample: 255.255.255.255
server_ip string | success | The main IP of the server this failover IP is associated to. This is not the server the failover IP is routed to.
server_number integer | success | The number of the server this failover IP is associated to. This is not the server the failover IP is routed to.
state string | success | Will be `routed` or `unrouted`.
value string | success | The value of the failover IP. Will be `none` if the IP is unrouted.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Felix Fontein (@felixfontein)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.